Bug 619369

Summary: Keyboard layout mixed up with language (locale) in installer
Product: [Fedora] Fedora Reporter: Peter Ryzhenkov <peter.ryzhenkov>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: anaconda-maint-list, jonathan, mike.cloaked, peter.ryzhenkov, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-29 08:49:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Peter Ryzhenkov 2010-07-29 08:02:56 EDT
Description of problem:
I use livecd-creator+a kickstart file to build my own spin. I've added '@russian-support' in my .ks file and added the following lines to it:
keyboard us
lang ru_RU.UTF-8
timezone Europe/Moscow
I boot my spin, everything is in Russian, but I also get Russian keyboard layout when I run 'liveinst'! That's strange 'cause I chose 'us' as my layout.

I'm not sure but I think the same problem occurs when we install Fedora from DVD.
  
Actual results:
Keyboard layout is Russian instead of English.

Expected results:
Keyboard layout should be English, second layout should be Russian.
Comment 1 Chris Lumens 2010-07-29 09:45:11 EDT
You selected "us" as the layout from the login screen?  If so, can you open up a terminal or other program, type there, and see what the layout is?
Comment 2 Peter Ryzhenkov 2010-08-11 07:51:46 EDT
Nope, I chose 'us' for keyboard in my kickstart file
Comment 3 Chris Lumens 2010-08-11 10:03:51 EDT
I don't think the kickstart file choice matters there at all.  anaconda just uses the keyboard layout you selected when you logged in as the live user.  What keyboard selection did you make or was the default there?
Comment 4 Peter Ryzhenkov 2010-08-11 10:29:12 EDT
The thing is I use AutomaticLoginEnable=true in my spin so i do not choose language manually.
My language related kickstart settings are:
keyboard us
lang ru_RU.UTF-8
timezone Europe/Moscow
Fedora boots with Russian language and English keyboard layout by default (can't be sure for the last thing though as I import custom gconf settings with keyboard layouts and all). But it suddenly switches to Russian if I start liveinst. '--keymap=us; parameter solves the problem.
Comment 5 Mike C 2010-08-16 03:05:09 EDT
I have an analogous problem for a DVD install for 32 bit f13, and What appears to have happened is that during the install anaconda decided that the keyboard was US, when I am using a UK keyboard.  This makes no difference until a password containing non-alphameric characters is entered such as the normal user password at firstboot.

Then when the install is complete and the user selects the UK keyboard the password has characters that did not match for any of the non-alphameric characters with the UK selected keyboard.

This also manifests itself when the gnome screensaver requires the same characters taken from keys for the US key positions to unlock the screensaver.

To test this I switched to the UK keyboard in gnome and then reset the password
using the UK normal keyboard keys.  Then after logging out and selecting the UK
keyboard in gdm, login works correctly for the password.  Within gnome the UK
keyboard is now retained, and the screensaver password works with the UK keys.

Hence this seems to definitely be a bug in anaconda.

I also checked the anaconda-ks.cfg file in root and it shows that the install
keyboard was selected as "keyboard us".  I am usually very careful with parameter selection during a normal install - and I would have selected a UK keyboard for the initial install - (this was not a kickstart install).
Comment 6 Mike C 2010-08-16 04:35:37 EDT
I just did another install on a different machine and I had no keyboard problems - so I am now not sure if I perhaps did not select the UK keyboard on the initial install - unless I reinstalled on the machine where I had the problem I now can't reproduce the problem I had!  However the system I had uses a usb keyboard and the others were laptops where there was no problem. If it is my clumsiness then apologies for the noise!
Comment 7 Bug Zapper 2011-06-01 08:34:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-29 08:49:16 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.